Migrar modelos de outra WABA
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/migrate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceWabaId": "1122334455",
"pageNumber": 0
}
'{
"migrated_templates": [
{
"id": "778899001127",
"name": "order_update"
},
{
"id": "778899001128",
"name": "payment_reminder"
}
],
"failed_templates": [
{
"name": "old_promo",
"reason": "TEMPLATE_NAME_ALREADY_EXISTS"
}
]
}Modelos
Migrar modelos de outra WABA
Migrar modelos de outra WABA. Consulte os parâmetros, o exemplo e as respostas disponíveis para esta operação.
POST
/
meta
/
wabas
/
{wabaId}
/
templates
/
migrate
Migrar modelos de outra WABA
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/migrate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceWabaId": "1122334455",
"pageNumber": 0
}
'{
"migrated_templates": [
{
"id": "778899001127",
"name": "order_update"
},
{
"id": "778899001128",
"name": "payment_reminder"
}
],
"failed_templates": [
{
"name": "old_promo",
"reason": "TEMPLATE_NAME_ALREADY_EXISTS"
}
]
}Autorizações
Token bearer da Eazybe. O token identifica a organização e deve ser mantido no servidor.
Parâmetros de caminho
ID da conta do WhatsApp Business retornado por GET /meta/phone-numbers.
Corpo
application/json
Resposta
200 - application/json
Migration page processed
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | Destination wabaId not linked to your organization | Verify the id |
400 | sourceWabaId not owned by the same business, or not accessible | Confirm both WABAs sit under one business |
502 | Graph unreachable or timed out | Retry with backoff |
Esta página foi útil?